@import url('fonts/MSSansSerif.css');
@import url('fonts/Marlett.css');
@import url("fonts/System.css");
@import url("fonts/vgafix.css");

/* Custom scheme vars, for custom classic themes */
:root {     
  --Background: #008080;   
  --appworkspace: rgb(128, 128, 128);
  --ButtonFace: rgb(192, 192, 192);
  --ButtonHilight: rgb(255, 255, 255);
  --ButtonLight: rgb(223, 223, 223);
  --ButtonShadow: rgb(128, 128, 128);
  --ButtonDkShadow: rgb(0, 0, 0);
  --ActiveTitle: rgb(0, 0, 128);
  --GradientActiveTitle: rgb(16, 132, 208);
  --InactiveTitle: rgb(128, 128, 128);
  --GradientInactiveTitle: rgb(181, 181, 181);
  --Link: rgb(0, 0, 255);
  --HilightText: rgb(255, 255, 255);
  --ButtonText: rgb(0, 0, 0);
  --GrayText: rgb(128, 128, 128);
  --TitleText: rgb(255, 255, 255);
  --InactiveTitleText: rgb(192, 192, 192);
  --Window: rgb(255, 255, 255);
   --WindowFrame: rgb(0, 0, 0);
  --WindowText: rgb(0, 0, 0);
  --Hilight:  rgb(0, 0, 128);
  --InfoWindow: rgb(255, 255, 225);
  --InfoText: rgb(0, 0, 0);
  --3DObjectsText: rgb(0, 0, 0); 
  --Menu: rgb(192, 192, 192);
}

/* Theme vars */
:root {
        --3d-objects: var(--ButtonFace);
		--3d-objectstxt: var(--ButtonText);
        --activebar: linear-gradient(90deg, var(--ActiveTitle), var(--GradientActiveTitle));
	    --activebartxt: var(--TitleText);
		--inactivebar: linear-gradient(90deg, var(--InactiveTitle), var(--GradientInactiveTitle));
		--inactivebartxt: var(--InactiveTitleText);
		--bodybgcolor: rgb(0, 0, 0);
		--desktopbgcolor: var(--Background);
		--desktopbgimg: none;
	    --desktopbgsize: initial;
		--desktopbgposition: initial;
		--desktopbgtile: repeat;
		--windowbg: var(--Window);
		--windowtxt: var(--3d-objectstxt);
		--selectedcolor: var(--Hilight);
		/* different box shadows */
		--globalboxshadow: inset -1px -1px var(--ButtonDkShadow), inset 1px 1px var(--ButtonHilight), inset -2px -2px var(--ButtonShadow), inset 2px 2px var(--ButtonLight);
	    --globalmenushadow: inset -1px -1px var(--ButtonDkShadow), inset 1px 1px var(--ButtonFace), inset -2px -2px var(--ButtonShadow), inset 2px 2px var(--ButtonHilight);
		--globalboxshadowactive: inset 1px 1px var(--ButtonDkShadow), inset -1px -1px var(--ButtonHilight), inset 2px 2px var(--ButtonShadow), inset -2px -2px var(--ButtonLight);
        --field: inset -1px -1px var(--ButtonHilight), inset 1px 1px var(--ButtonShadow), inset -2px -2px var(--ButtonLight), inset 2px 2px var(--ButtonDkShadow);
		--globaltoolbar: inset -1px -1px var(--ButtonShadow), inset 1px 1px var(--ButtonHilight);
		--globaltoolbaractive: inset -1px -1px var(--ButtonHilight), inset 1px 1px var(--ButtonShadow);
		--taskbarbackground: var(--3d-objects);
		--taskbarboxshadow: inset 0px 1px var(--ButtonLight), inset 0px 2px var(--ButtonHilight);
		--tabboxshadow: inset 1px 1px var(--ButtonHilight),inset 2px 2px var(--ButtonLight),inset -1px 0 var(--ButtonDkShadow),inset -2px 0 var(--ButtonShadow);
		/* fonts */
		--globalfont: MS-Sans-Serif, Microsoft Sans Serif, Tahoma, Jomolhari, Times New Roman, sans-serif;
		--buttonfont: var(--globalfont);
		--titlefont: MS-Sans-Serif-Bold;
		/* optional, only use if you don't want the text and icon on the button, like Aero Basic */
		--menu-button: url('assets/taskbar/default/buttons/rimetmIIbtn.png');
		--menu-button-hover: url('assets/taskbar/default/buttons/rimetmIIbtn.png');
		--menu-button-pressed: url('assets/taskbar/default/buttons/rimetmIIbtn-pressed.png');
        }


/*Theme identifier, control panel*/
#themeDropdownText:after {
content: "Rimet Default";
}

#winAndButtonsDropdownText:after {
content: "Barebones style";
}

#colorSchemeDropdownText:after {
	content: "Barebones";
}

input, label, textarea {
	font-family: var(--buttonfont) !important;
}

input[type="checkbox"] + label {
    line-height: 16px;
}

img {
image-rendering: pixelated;
}

#Desktop, #themePreviewContainer, #appearancePreviewContainer, #DesktopWPMonitorPreview {
background-color: var(--desktopbgcolor);
background-image: var(--desktopbgimg);
background-size: var(--desktopbgsize);
background-position: var(--desktopbgposition);
background-repeat: var(--desktopbgtile);
image-rendering: pixelated;
}

#LogonUI {
	background-color: var(--desktopbgcolor);
background-image: url(wallpapers/rimet/rimetII.gif);
background-size: initial;
background-position: center;
background-repeat: no-repeat;
image-rendering: pixelated;
}

body {
margin: 0px;
padding: 0px;
background-color: var(--bodybgcolor);
color: var(--3d-objectstxt);
font-family: var(--globalfont);
user-select: none;
-moz-user-select: none;
-webkit-user-select: none;
}

.coreContainer {
width: 100%;
height: 100%;
position: absolute;
left: 0;
top: 0;
overflow: hidden;
z-index: -2;
}

#rimetmIIStartup {
    height: 100%;
    width: 100%;
    background-color: #FFF;
    position: fixed;
    z-index: 1000000;
    background-image: url('assets/rimetbiglogo.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: 305px 104px;
    background-position: calc(50% - 15px) calc(50% - -2px);
}

#startupTop {
background: url('assets/RimetTeamWordlogo.png');
width: 135px;
height: 19px;
position: absolute;
top: 16px;
right: 12px;
}

#startupBottom {
width: 100%;
background: #c0c0c0;
background-image: url('assets/w2kstartupline.gif');
background-repeat: repeat-x;
background-position: center 0px;
height: 64px;
bottom: 0px;
position: absolute;
font-family: Tahoma;
font-size: 11px;
text-align: center;
text-indent: 0px;
line-height: 18px;
}

#startupBottom p {
margin: 0;
}

#startupBottom a {
margin: 0;
color: var(--selectedcolor);
}

.startupAttributedTo {
padding-top: 3px;
font-size: 9px;
}

#Taskbar {
position: absolute;
height: 28px;
bottom: 0;
left: 0;
right: 0;
background: var(--taskbarbackground) !important;
box-shadow: var(--taskbarboxshadow);
border-radius: 0px !important;
color: var(--3d-objectstxt) !important;
/* margin: 0 -2px 0 -2px;  NOT SURE IF NEEDED*/
z-index: 5;
}

#Taskbar.AlwaysTop {
z-index: 0;
}

#SysTrayTime {
    box-shadow: var(--globaltoolbaractive);
    padding: 5px;
    padding-left: 10px;
    padding-right: 10px;
    bottom: -4px !important;
    position: relative;
    right: 2px;
    float: right;
    font-size: 11px;
    font-weight: normal;
}

#MenuButton {
background: var(--3d-objects);
box-shadow: var(--globalboxshadow);
overflow: hidden;
position: relative;
top: 4px;
left: 3px;
color: var(--3d-objects-text);
font-size: 8pt;
padding: 0px;
border: none;
width: 54px;
height: 22px;
}

#MenuButton:hover {
background: var(--3d-objects);
box-shadow: var(--globalboxshadow);
}

#MenuButton.pressed {
background: var(--3d-objects);
box-shadow: var(--globalboxshadowactive);
}

#MenuButtonStartText {
font-family: var(--titlefont);
font-weight: bold;
top: 4px;
right: 4px;
position: absolute;
}

#MenuButtonStartIcon {
width: 16px;
height: 16px;
top: 3px;
left: 4px;
position: absolute;
background-image: url(assets/rimetmII16x16.png);
}

#MenuButton.pressed > #MenuButtonStartText {
top: 5px;
right: 3px;
}

#MenuButton.pressed > #MenuButtonStartIcon {
top: 4px;
left: 5px;
}

#SearchButtonRV {
background: var(--search-button);
overflow: hidden;
position: relative;
bottom: 18px;
left: 27px;
color: white;
padding: 0px;
border: none;
display: none;
height: 22px;
}

#HelpButtonRV {
background: var(--help-button);
overflow: hidden;
position: relative;
bottom: 40px;
left: 50px;
color: white;
padding: 0px;
border: none;
display: none;
height: 22px;
}

#SearchButtonRV:hover {
background: var(--search-button-hover);
}

#HelpButtonRV:hover {
background: var(--help-button-hover);
}

#SearchButtonRV:active {
background: var(--search-button-pressed);
}

#HelpButtonRV:active {
background: var(--help-button-pressed);
}

#StartSpine {
width: 21px;
height: calc(100% - 6px);
background-color: black;
background-image: url("assets/rimetmIIStartSpine.png");
background-repeat: no-repeat;
background-position: bottom;
position: absolute;
top: 0;
left: 0;
margin: 3px;
}

#RimetApps, #RimetAppsSPanel {
margin-left: 21px;
}

#Menu {
width: 100px;
background: var(--3d-objects) !important;
box-shadow: var(--globalmenushadow);
position: absolute;
color: var(--3d-objectstxt);
text-indent: 5px;
bottom: 25px;
font-size: 11px;
font-family: var(--globalfont);
padding: 3px;
z-index: 6;
min-width: 173px;
left: 2px;
}

#MenuPanel {
width: 380px;
background: var(--3d-objects) !important;
box-shadow: var(--globalmenushadow);
position: absolute;
color: var(--3d-objectstxt);
text-indent: 5px;
bottom: 25px;
font-size: 11px;
font-family: var(--globalfont);
   padding: 0;
   height: 440px;
z-index: 6;
min-width: 186px;
left: 2px;
}

#Menu .startLink {
color: var(--3d-objectstxt);
padding: 10px 36px;
text-decoration: none;
display: block;
background: var(--3d-objects) !important;
}

.startLink .submenu {
display: none;	
}

.startLink:hover .submenu {
display: block;	
}

hr, .ContextMenuSeparator {
    background: none;
    border: none;
    box-shadow: inset -1px -1px var(--ButtonHilight), inset 1px 1px var(--ButtonShadow) !important;
    height: 2px;
}

.ContextMenuSeparator {
	margin: 2px;
}

#Menu .startLink:hover {
background: var(--selectedcolor) !important;
color: #FFF;
}

.submenu {
display: none;
position: absolute;
bottom: 100%;
left: 100%;
margin: 0px;
padding-right: 0px;
margin-bottom: -35px;
margin-left: -6px;
min-width: 130px;
text-indent: 27px;
background: var(--3d-objects) !important;
box-shadow: var(--globalmenushadow);
width: max-content;
width: -moz-max-content;
}

.submenu .startLink {
padding: 0 !important;
height: 20px;
line-height: 20px;
margin: 3px;
}


#Menu .startLink:hover {
background: var(--selectedcolor) !important;
color: #FFF;
}

#ControlPanelMenu {
margin-bottom: -69px;
}

#SearchMenu {
margin-bottom: -100px;
}

#AboutContent {
font-family: var(--globalfont);
font-size: 11px;
margin: 8px -1px 0 0;
text-align: center;
position: absolute;
width: 100%;
height: 100%;
right: 0;
}

#AboutContent a {
  color: var(--selectedcolor);
}

#AboutContent p {
margin: 0 3px 2px 0;
}

.button, div[id^="mBox-button"] {
    box-shadow: var(--globalboxshadow);
    text-align: center;
    min-width: 49px;
	min-height: 23px;
	line-height: 22px;
    padding: 0 12px;
    position: absolute;
	overflow: hidden;
	white-space: no-wrap;
	text-overflow: ellipsis;
}

div[id^="mBox-button"] {
	width: 49px;
	height: 21px;
	left: 50%;
    margin-left: -39px;
    bottom: 12px;
}

.button:not(.disabled):focus, div[id^="mBox-button"]:not(.disabled):focus {
border: 1px solid #000;
}

.button.disabled, div[id^="mBox-button"]:disabled {
 color: var(--ButtonShadow);
 text-shadow: 1px 1px var(--ButtonHilight);
}

.button:not(.disabled):active, div[id^="mBox-button"]:not(.disabled):active, .button.active {
box-shadow: var(--globalboxshadowactive);
text-indent: 2px;
line-height: 21px;
}

#AboutClose:active {
box-shadow: none;
line-height: 24px;
text-indent: 1px;
}

#AboutClose {
position: absolute;
bottom: 13px;
right: 132px;
width: 48px;
height: 25px;
border: none;
line-height: 23px;
text-indent: -2px;
padding: 0;
}

#AboutClose:active {
box-shadow: var(--globalboxshadowactive);
}

#AboutNTClose {
position: absolute;
    bottom: 12px;
    right: 15px;
padding: 0 13px;
}

#applyThemebtn {
position: absolute;
line-height: 22px;
bottom: -30px;
right: 0px;
}

#okThemebtn {
position: absolute;
line-height: 22px;
bottom: -30px;
right: 81px;
}

#okdemobtn {
position: absolute;
line-height: 22px;
bottom: 6px;
right: 6px;
}

#goFlagbtn {
    position: absolute;
    line-height: 22px;
    bottom: -55px;
    right: -22px;
}

#cancelFlagbtn {
position: absolute;
line-height: 22px;
bottom: -55px;
right: 59px;
}

#cancelCSSbtn {
    position: absolute;
    bottom: -30px;
	right: 0px;
	font-family: var(--globalfont);
}

#barebonesbtn {
    position: absolute;
    bottom: -30px;
	right: 79px;
	font-family: var(--globalfont);
}


.window, #messageBox {
box-shadow: var(--globalmenushadow);
z-index: 0;
background: var(--3d-objects);
font-family: var(--globalfont);
font-size: 11px;
position: absolute;
display: none;
}


.window.current {
	z-index: 1;
}


#messageBox {
	z-index: 2;
}

.window.maximized {
width: 100% !important;
height: calc(100% - 27px) !important;
top: 0 !important;
left: 0 !important;
box-shadow: none !important;
}

.window.maximized .window_bar {
width: 100%;
margin: 0px;
}

.window.maximized #windowcontent { 
top: 1px;
}

.window.maximized .window_bar .winBarButton {
top: 2px;
}

.window_bar {
background: var(--inactivebar);
color: var(--inactivebartxt);
text-align: left;
cursor: unset;
height: 18px;
margin: 3px;
font-family: var(--titlefont);
font-size: 11px;
font-weight: bold;
text-indent: 20px;
line-height: 18px;
}

.window_bar.noIcon {
       text-indent: 3px; 
}

.resizeableWinBar {
margin: 4px;	
margin-bottom: 4px;
}

.winBarButton {
display: inline-block;
/* cursor: pointer; */
font-size: 8px;
line-height: 20px;
width: 16px;
height: 14px;
position: relative;
float: right;
right: 0px;
top: 2px;
background: var(--3d-objects);
overflow: hidden;
box-shadow: var(--globalboxshadow);
border-radius: 0;
text-indent: 3px;
}

#close {
margin-left: 2px;
margin-right: 2px;
background-image: url('assets/winclassic-close.png');
background-position: 4px 3px;
background-repeat: no-repeat;
}

#maximize {
background-image: url('assets/winclassic-maximize.png');
background-position: 3px 2px;
background-repeat: no-repeat;
}

#minimize {
background-image: url('assets/winclassic-minimize.png');
background-position: 4px 9px;
background-repeat: no-repeat;
}

.winBarButton:active {
box-shadow: var(--globalboxshadowactive);
}

#close:active {
background-position: 5px 4px;
}

#maximize:active {
background-position: 4px 3px;
}

#minimize:active {
background-position: 5px 10px;
}


#windowcontent {
background: none;
display: inline-block;
margin: 0px;
position: relative;
top: -3px;
width: 100%;
height: calc(100% - 23px);
}

#taskbarSeperator {
width: 55px;
position: relative;
display: inline-block;
}

.taskband {
box-shadow: var(--globalboxshadow);
line-height: 22px;
margin: 2px 0 0 -2px;
font-size: 11px;
background: var(--3d-objects);
font-weight: normal;
position: relative;
bottom: 2px;
font-family: var(--globalfont);
width: 100%;
height: 22px;
max-width: 160px;
padding: 0px;
text-indent: 6px;
}

.taskband:active, .taskband.current {
box-shadow: var(--globalboxshadowactive);
}

#taskbandContainer {
    display: inline-block;
    width: calc(100% - 139px);
    right: 0;
    position: absolute;
    bottom: 0;
    overflow-y: auto;
    height: 24px;
    padding-left: 2px;
}

#rimetmIIStartup .RimetReleaseName {
    position: absolute;
    left: 50%;
    top: 50%;
    margin-top: 24px;
    margin-left: -95px;
    text-shadow: 0px 0px 4px #FFF;
    font-weight: bold;
    font-family: Arial, helvetica, tahoma, sans-serif;
}



#windowiFrame {
width: 100%; 
height: 100%; 
padding: 0; 
margin: 0;
}


/*
#window0 #windowcontent {
padding: 0;
margin: 0;
font-size: 16px;
font-family: var(--globalfont);
}*/


#ControlPanelContent {
margin: 10px 7px 7px 7px;
width: 386px;
height: 380px;
}

.tabbutton {
width: max-content;
width: -moz-max-content;
display: inline-block;
height: 21px;
padding: 0 6px;
line-height: 18px;
border-radius: 3px 3px 0 0;
box-shadow: var(--tabboxshadow);
margin-right: -3px;
position: relative;
top: 0px;
z-index: 0;
}

.tabbutton.selected {
z-index: 2;
margin: 0px -3px 0px -3px;
position: relative;
top: -1px;
padding: 0 8px;
background: var(--3d-objects);
}

#tabButton-1.selected {
margin: 0px -3px 0px 0px;
}

.tabcontent {
background: var(--3d-objects);
width: calc(100% - 16px);
height: calc(100% - 65px);
position: absolute;
top: 28px;
box-shadow: var(--globalboxshadow);
z-index: 1;
}


.DropdownBox {
box-shadow: var(--field);
display: inline-block;
padding: 2px 4px;
text-align: left;
background: var(--windowbg);
color: black;
}

.DropdownBox:focus {
background: var(--selectedcolor);
color: #FFF;
}

.DDcontainer.selected .DropdownBox {
background: var(--windowbg);
color: var(--3d-objectstxt);
}

.DropdownBoxButton {
width: 16px;
height: 17px;
background: var(--3d-objects);
background-image: url('assets/winclassic-arrowdown.png');
box-shadow: var(--globalmenushadow);
float: right;
position: relative;
right: -2px;
background-repeat: no-repeat;
background-position: 4px 6px;
}


#themeDropdownBox, #themeDropdownContainer {
width: 272px;
height: 16px;
}

#themeDropdownText, #winAndButtonsDropdownText, #colorSchemeDropdownText, #PowerOffDropdownText {
position: absolute;
line-height: 16px;
text-indent: 1px;
}

.dropdownContent {
display: none;
}

#themeDropdownContainer {
position: absolute;
top: 68px;
left: 12px;
}

#themeDropdownContainer::before {
content: "Current theme:";
position: absolute;
top: -16px;
}

#themeDropdownContent {
width: 278px;
}

.DDcontainer.selected .dropdownContent {
display: inline-block;
width: 205px;
background: var(--windowbg);
border: 1px solid #000;
position: fixed;
margin-top: -3px;
}

.dropdownlink {
width: 100%;
display: block;
margin: 0px;
padding: 1px 0;
text-indent: 2px;
color: var(--3dobjectstxt);
}

.dropdownlink:hover {
background: var(--selectedcolor);
color: #FFF;
cursor: pointer;
}

#themePreviewContainer {
width: 351px;
height: 223px;
box-shadow: var(--field);
position: absolute;
top: 119px;
left: 15px;
z-index: -1;
}

#themePreviewContainer::before {
content: "Sample:";
position: absolute;
top: -17px;
left: -3px;
}

#themePreview {
top: 33px;
left: 24px;
z-index: 0;
width: 231px;
height: 113px;
display: inline-block;
position: relative;
}

#themePreview #windowcontent {
margin: 3px;
box-shadow: var(--field);
padding: 4px;
background: var(--windowbg);
width: 215px;
height: 77px;
/* top: -6px; 
height: 62px;*/
}

#resetThemebtn {
position: absolute;
right: 11px;
line-height: 21px;
text-indent: -1px;
top: 67px;
}

#searchBox {
    width: 100%;
    font-size: 11px; 
    padding: 3px 4px;
    box-shadow: var(--field);
box-sizing: border-box;
}

#searchResults {
    border-collapse: collapse;
    width: 100%;
    height: calc(100% - 34px);
    font-size: 11px;
    font-family: var(--globalfont);
background: var(--windowbg);
    text-indent: 4px;
    padding: 3px 4px;
    box-shadow: var(--field);
    box-sizing: border-box;
    overflow-y: scroll;
    appearance: none;
    cursor: pointer !important;
    display: inline-block;
	margin-top: 3px;
}

#SearchContent {
    margin: 4px;
	height: 100%;
}

#boxText {
    position: absolute;
    left: 63px;
    top: 23px;
}

div[id^="boxIMG"] {
    width: 32px;
    height: 32px;
    background-image: none;
    position: absolute;
    left: 12px;
    top: 12px;
}

#boxIMG0 {
    background-image: none;
}

#boxIMG1 {
    background-image: url('mbox-icons/win98/error.png');
}

#boxIMG2 {
    background-image: url('mbox-icons/win98/warning.png');
}

#boxIMG3 {
    background-image: url('mbox-icons/win98/info.png');
}

#boxIMG4 {
    background-image: url('mbox-icons/win98/confirm.png');
}

textarea#creditsTextarea {
    border: none;
    background: none;
    box-shadow: none;
}

input[type="text"], textarea, input[type="password"] {
border: none;
box-shadow: var(--field);
background-color: var(--windowbg);
color: var(--windowtxt);
font-size: 11px;
}

textarea:focus, input[type="text"]:focus {
outline: none;
}

#RimetApps .StartMenuMIcon {
position: absolute;
width: 32px;
height: 32px;
left: 26px;
margin-top: -21px;
}

div#CDLIntElementButtons {
pointer-events: none;
}

#DesktopWPMonitor {
background-image: url("assets/PreviewMonitor.png");
width: 184px;
height: 170px;
position: absolute;
top: 5%;
left: 25%;
}

#DesktopWPMonitorPreview {
width: 152px;
height: 112px;
position: absolute;
top: 10%;
left: 8.5%;
}

.ListItem {
width: calc(100% - 4px);
display: block;
margin: 0px;
padding: 1px 0;
line-height: 16px;
color: var(--3dobjectstxt);
    padding-top: 1px;
    height: 15px;
        top: 2px;
    left: 2px;
	text-indent: 2px;
        position: relative;
}

.ListItem:active {
background: var(--selectedcolor);
color: #FFF;
}

.ListBox {
        position: absolute;
        box-shadow: var(--field);
    background: var(--windowbg);
        overflow-x: hidden;
                font-family: var(--globalfont);
    font-size: 8pt;
}

.ListItem:focus  {
    background-color: var(--selectedcolor) !important;
        color: white !important;
        outline: 1px dotted #fff;
    outline-offset: -1px;
}

#colorpickerBtn  {
    position: absolute;
    width: 51px;
    right: 14px;
    bottom: 33px;
    height: 21px;
	min-height: 21px;
}

#BGColorPicker {
    position: absolute;
    width: 75px;
    right: 14px;
    bottom: 33px;
    height: 21px;
}

#BGColorPreview {
	box-shadow: 0 0 0 1px black;
	position: relative;
	right: 6px;
	top: 5px;
	height: 11px;
	width 53px;
}

#getwpbtn {
    position: absolute;
    right: 14px;
        width: 51px;
    top: 208px;
}


#bgsizeDropdownBox, #bgsizeDropdownContainer {
width: 65px;
height: 16px;
}

#bgsizeDropdownText {
position: absolute;
line-height: 14px;
text-indent: 1px;
}

#bgsizeDropdownContainer {
position: absolute;
bottom: 84px;
right: 24px;
}

#bgsizeDropdownContent {
width: 73px;
    z-index: 1;
}

/* desk icos */

/* old desk ico method
.DeskIcoText {
    font-family: var(--globalfont);
    color: white;
    font-size: 8pt;
    margin-bottom: -5px;
    text-align: center;
    width: 64px;
    display: block;
    margin-top: 4px;
    padding: 1px 2px 1px 2px;
	     padding: 1px 0px 0px 2px; 
}

.DeskIcons.current > .DeskIcoText {
    background-color: var(--selectedcolor);
	/*    outline: 1px dotted white;
    outline-offset: -1px; 
}
*/

/* THE BETTER ONE!!!!!!!!!!!!!! */
.DeskIcoText {
    font-family: var(--globalfont);
    color: white;
    font-size: 8pt;
    margin-bottom: -5px;
    text-align: center;
    max-width: min-content;
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 4px;
    padding: 1px 2px 2px 3px;
}

.DeskIcons.current > .DeskIcoText {
    background-color: var(--selectedcolor);
   outline: 1px dotted white;
    outline-offset: -1px;
}

.DeskIcoImgs {
        margin: 0 auto;
    width: 32px;
    height: 32px;
    background-image: var(--DefaultAppIcon);
}

#DesktopIcons {
    margin: 2px;
		margin-left: 3px;
    position: absolute;
z-index: -1;
}

.DeskIcons:focus > .DeskIcoText {
    color: white;
    background-color: var(--selectedcolor);
}

.DeskIcons {
   margin-bottom: 24px; 
   z-index: 0;
}


/* XP style Start Panel */
#UserPane {
    height: 40px;
    background: var(--activebar);
color: var(--activebartxt);
    font-size: 14pt;
    font-style: italic;
    font-weight: bold;
    margin: 2px;
    margin-right: 3px;
}

#UserPane p {
    position: absolute;
    margin: 0;
    margin-top: 9px;
    left: 5px;
}

#PlacesList {
    width: 185px;
    position: absolute;
    right: 0;
    height: calc(100% - 79px);
    bottom: 37px;
    box-shadow: inset 1px 0px var(--ButtonShadow), inset 2px 0px var(--ButtonHilight);
}

#DefaultRecentSeparator {
        box-shadow: inset 1px 1px var(--ButtonShadow), inset -1px -1px var(--ButtonHilight);
}

#LogoffPane {
            box-shadow: inset 0px 1px var(--ButtonShadow), inset 0px 2px var(--ButtonHilight);
    height: 35px;
        margin: 2px;
        margin-right: 3px;
    margin-top: -7px;
}

.RecentApp {
margin-bottom: 2px;
}

.DefaultAppSPanel {
padding-top: 2px;
}

.RecentAppIcon {
margin-left: 6.5px;
margin-right: 6.5px;
padding-top: 11px;
padding-bottom: 12px;
padding-left: 34px;
margin-bottom: 4px;
}

.RecentAppIcon:hover, .DefaultAppIcon:hover, .PlacesLink:hover, .AllProgramsStartLinks:hover {
background: var(--selectedcolor) !important;

color: #FFF;
}

.RecentAppIcoImgs, .DefaultAppIcoImgs {
    width: 32px;
    height: 32px;
position: absolute;
left: 9px;
margin-top: 2px;
    background-image: var(--DefaultAppIcon);
}

.PlacesLinkIcoImgs {
    width: 24px;
    height: 24px;
background-size: contain;
position: absolute;
margin-top: 1px;
left: 7px;
    background-image: var(--DefaultAppIcon);
}

.DefaultAppIcon {
margin-left: 7.5px;
margin-right: 6px;
padding-top: 5.2px;
padding-bottom: 5.2px;
padding-left: 33px;
margin-bottom: 4px;
}

.PlacesLink {
margin-left: 6px;
margin-right: 8px;
/* margin-top: 9px; */
padding-top: 6px;
padding-bottom: 7px;
padding-left: 24px;
}

.DefaultAppIcon:hover > p {
color: #fff;
}

#DefaultRecentSeparator {
margin: 2px;
height: 2px;
margin-left: 7px;
margin-right: 7px;
}

#PlacesListSeparator {
margin: 2px;
height: 2px;
margin-left: 7px;
margin-right: 7px;
        box-shadow: inset 1px 1px var(--ButtonShadow), inset -1px -1px var(--ButtonHilight);
}

.PlacesLinks {
margin-bottom: 5px;
margin-top: 2px;
padding-top: 0px;
}

.AllProgramsStartLinks {
display: block;
padding: 5px 40px;
padding-bottom: 5.5px;
margin-left: 8px;
margin-right: 198px;
margin-bottom: 5px;
margin-top: -32px;
}

#PlacesLink1 {
margin-top: 9px;
}

#PlacesLink1, #PlacesLink2, #PlacesLink3, #PlacesLink4, #PlacesLink5 {
font-weight: bold;
}

.AllProgramsStartLinks .submenu {

display: none;

bottom: 18%;
left: 42%;
font-weight: unset;
}



.AllProgramsStartLinks:hover .submenu {

display: block;	

}


#UserPaneTile {
width: 62px;
height: 62px;
display: none;
position: absolute;
top: 1px;
left: 1px;
background: url(assets/startpanel/lunablue/UserTileBackground.png);
}

#TilePhoto {
left: 8px;
top: 8px;
width: 48px;
height: 48px;
background: url(assets/chess.png);
position: absolute;
}


#RimetAppsSPanel {
    width: 195px;
    height: 318px;
    padding: 0;
    margin: 0;
}

.ToolbarButton:hover {
box-shadow: var(--globaltoolbar);
}

.ToolbarButton:active {
box-shadow: var(--globaltoolbaractive);
}

.ToolbarSeparator {
    box-shadow: inset 1px 0px var(--ButtonShadow), inset 2px 0px var(--ButtonHilight);
    width: 2px;
    height: 26px;
        position: relative;
    bottom: 56px;
    left: 125px;
}

#interbackbtn {
width: 71px;
height: 30px;
position: relative;
top: 2px;
}

#interforwardbtn {
width: 46px;
height: 30px;
position: relative;
bottom: 28px;
left: 75px;
}


#interhomebtn {
width: 32px;
height: 30px;
position: relative;
bottom: 84px;
left: 130px;
}

#intergobtn {
width: 57px;
height: 24px;
float: right;
bottom: 21px;
position: relative;
}

#GoToolbarIco {
width: 20px;
height: 17px;
background-image: url(assets/iconset/xp/InterGo.png);
margin: 1px;
margin-left: 4px;
text-indent: 24px;
padding-top: 3px;
top: 1px;
position: relative;
}

#BackToolbarIco {
width: 24px;
height: 19px;
background-image: url(assets/iconset/xp/InterToolbar.png);
text-indent: 28px;
    top: 2.5px;
    left: 5px;
    padding-top: 5px;
    position: absolute;
}

#ForwardToolbarIco {
width: 24px;
height: 24px;
background: url(assets/iconset/xp/InterToolbar.png) -24px 0px;
text-indent: 28px;
    top: 2.5px;
    left: 3px;
    position: absolute;
}

#HomeToolbarIco {
width: 24px;
height: 24px;
background: url(assets/iconset/xp/InterToolbar.png) -96px 0px;
text-indent: 28px;
    top: 4px;
    left: 4px;
    position: absolute;
}

#BackToolbarIco::after {
    content: "";
    width: 6px;
    height: 4px;
    display: block;
    background-image: url(assets/DisabledArrow.png);
    left: 57px;
    bottom: 8px;
    position: relative;
}

#ForwardToolbarIco::after {
    content: "";
    width: 6px;
    height: 4px;
    display: block;
    background-image: url(assets/DisabledArrow.png);
    left: 32px;
    top: 10px;
    position: relative;
}

.RebarToolbars {
    margin-left: 2px;
    margin-right: 2px;
    margin-top: 0px;
}

.window.maximized > #windowcontent > .RebarToolbars { 
margin-left: 0;
margin-right: 0;
}

#addressbar {
    padding: 0;
}

#r1stbar {
    height: 24px;
}

#r2ndbar {
height: 32px;
}

#r3rdbar {
height: 24px;
}

#addressbar {
height: 22px;
text-indent: 4px;
}

#interaddress {
position: relative;
top: 2px;
margin-left: 4px;
}

.throbber {
background-color: black;
background-image: url(assets/throbber.gif);
background-position: center;
background-repeat: no-repeat;
background-size: unset;
    float: right;
cursor: pointer;
margin-right: 2px;
top: 2px;
position: relative;
}

.rebar {
   /* box-shadow: inset 0px 1px #808080, inset 0px 2px #fff; */
box-shadow: inset 1px 0px var(--ButtonShadow), inset 2px 0px var(--ButtonHilight), inset -1px 0px var(--ButtonHilight), inset -2px 0px var(--ButtonShadow), inset 0px 1px var(--ButtonShadow), inset 0px 2px var(--ButtonHilight);
}

.rebar.classic {
 box-shadow: inset 0px 1px var(--ButtonShadow), inset 0px 2px var(--ButtonHilight);
}

#browserbar {
box-shadow: inset 0px -1px var(--ButtonHilight), inset 0px -2px var(--ButtonShadow);
}

.throbber {
box-shadow: inset 1px 0px var(--ButtonShadow), inset 2px 0px var(--ButtonHilight);
}



.window.minimized {
	display: none !important;
}

.window.current > .window_bar, .window.forceActive > .window_bar {
background: var(--activebar);
color: var(--activebartxt);
}

.menubaritem {
height: 16px;
padding-top: 3px;
padding-bottom: 2px;
text-indent: 8px;
position: absolute;
line-height: 16px;
}

#filemenu {
width: 32px;
left: 4px;
top: 2px;
}


.menubaritem:hover {
box-shadow: var(--globaltoolbar);
}

.menubaritem:active {
box-shadow: var(--globaltoolbaractive);
}

#tw1stbar {
box-shadow: none;	
}

#tw1stbar {
    height: 19px;
}
#tw2ndbar, #tw3rdbar {
    height: 30px;
}



.menubarbtn {
    box-shadow: var(--globalboxshadow);
    text-align: center;
    position: relative;
	overflow: hidden;
	height: 22px;
	width: 23px;
}

.menubarbtn:active {
box-shadow: var(--globalboxshadowactive);
}

/* Typewriter buttons */
#NewDocButton {
left: 5px;
top: 5px;
}

#OpenDocButton {
left: 28px;
bottom: 17px;
}

#BoldFontButton {
left: 5px;
top: 5px;
}

#ItalicFontButton {
left: 28px;
bottom: 17px;
}

#UnderlineFontButton {
left: 51px;
bottom: 39px;
}

#LeftAlignButton {
left: 5px;
top: 33px;
}

#CenterAlignButton {
left: 28px;
top: 11px;
}

#RightAlignButton {
left: 51px;
bottom: 11px;
}

.ToolbarBtnIcoImgs {
width: 16px;
height: 16px;	
position: relative;
background-image: url(assets/rimetmII16x16.png);
top: 3px;
left: 3px;
}

.menubarbtn:active .ToolbarBtnIcoImgs {
top: 4px;
left: 4px;
}

#BoldToolbarBtnIco {
	background: url(assets/iconset/default/TypewriterToolbarIcons.png) 0 0;
}

#ItalicToolbarBtnIco {
	background: url(assets/iconset/default/TypewriterToolbarIcons.png) -16px 0;
}

#NewToolbarBtnIco {
	background: url(assets/iconset/default/GenericToolbarIcons.png) -95px 0;
}

#OpenToolbarBtnIco {
	background: url(assets/iconset/default/GenericToolbarIcons.png) -112px 0;
}


#UnderlineToolbarBtnIco {
	background: url(assets/iconset/default/TypewriterToolbarIcons.png) -32px 0;
}

#LAlignToolbarBtnIco {
	background: url(assets/iconset/default/TypewriterToolbarIcons.png) -64px 0;
}

#CAlignToolbarBtnIco {
	background: url(assets/iconset/default/TypewriterToolbarIcons.png) -80px 0;
}


#RAlignToolbarBtnIco {
	background: url(assets/iconset/default/TypewriterToolbarIcons.png) -96px 0;
}



/* taskbands icons */
.TaskbandIcon {
width: 16px;
height: 16px;
position: relative;
left: 2.5%;
margin-left: 0px;
top: 15%;
background-image: url(assets/rimetmII16x16.png);
}

.WindowBarIcon {
width: 16px;
height: 16px;
position: absolute;
left: 2px;
margin-left: 0px;
bottom: 1px;
background-image: url(assets/rimetmII16x16.png);
}

/* Channel bar */
.webitem {
    border: 3px solid silver;
    border-top: none;
    position: absolute;
}

#webitem0 {
    width: 84px;
    height: 438px;
    top: 0px;
    right: 2%;
    background-color: #000;
}

.webitem-bar {
    background-color: silver;
    height: 15px;
}

.webitembarbutton {
    width: 14px;
    height: 13px;
    top: 1px;
    float: right;
        position: relative;
}

.webitembarbutton::after {
    content: "r";
    font-family: MarlettR, Marlett;
    font-weight: normal;
    color: var(--3d-objectstxt);
    font-size: 5pt;
    position: relative;
    top: 3px;
    left: 4px;
	    width: 14px;
    height: 13px;
	display: block;
}

.webitembarbutton:hover {
box-shadow: var(--globaltoolbar);
}

.webitembarbutton:active {
box-shadow: var(--globaltoolbaractive);
}

.nonNativeStartPageTxt {
font-family: 'Franklin Gothic Medium';
font-weight: bold;
color: var(--windowtxt);
font-size: 21pt;
    position: relative;
    top: 10px;
    left: 10px;
}


.nonNativeStartPageBlurb {
font-family: Franklin Gothic Medium;
font-weight: bold;
color: var(--windowtxt);
font-size: 14pt;
        position: relative;
    top: 22px;
    left: 10px;
}


.NonNativeStartScreens {
  /*  background-color: var(--windowbg); */
    background-repeat: no-repeat;
    background-position: bottom right;
}

.nonNativeStartPageLink {
    font-family: Tahoma;
font-weight: bold;
color: var(--windowtxt);
font-size: 8pt;
        cursor: pointer;
        position: relative;
    top: 37px;
    left: 10px;
}

.nonNativeStartPageLink:hover {
text-decoration: underline;
}

.contextmenu {
    background: var(--3d-objects) !important;
box-shadow: var(--globalmenushadow);
    color: var(--3d-objectstxt);
    min-width: 120px;
    z-index: 6;
    position: absolute;
    font-size: 11px;
font-family: var(--globalfont);
    left: 1px;
}

.contextmenuEntry {
padding: 0 !important;
height: 17px;
line-height: 16px;
margin: 3px;
text-indent: 16px;
}

.contextmenuEntry:hover {
background: var(--selectedcolor) !important;
color: #FFF;
}

.menubaritem.pressed {
box-shadow: var(--globaltoolbaractive);
}

.dropdownlink.scheme {
	display: none;
}

#WinClassicSchemes {
	display: block;
}

/* Logon box */
#okLogonbtn {
	right: 13px;
	top: 12px;
}

#okCancelbtn {
	right: 13px;
	top: 42px;
}

#logonShutdownbtn {
	display: none;
	right: 13px;
	top: 71px;
}

#AbtDialogIcon {
    width: 64px;
    height: 64px;
	position: relative;
	top: 11px;
	left: 11px;
	background-image: url(assets/imports/rimetemblem.png);
}

#WelcomeDialogIcon {
	width: 48px;
	height: 48px;
	position: relative;
	top: 12px;
	left: 25px;
	background-image: url(assets/iconset/default/LogonKeys.png);
}

#loginPassword {
	height: 22px;
	left: 165px;
	bottom: 18px;
	width: 131px;
	    line-height: 22px;
    text-indent: 4px;
}

#loginName {
	height: 21px;
	top: 47px;
	left: 165px;
	width: 131px;
		    line-height: 21px;
    text-indent: 4px;
}

#logonInstructions {
left: 94px;
top: 2px;	
}

#logonStatus {
left: 20px;
bottom: 17px;	
}

#WelcomeDialogBanner {
display: none;
background-image: url(assets/rimetmIIbanner.png);	
    width: 411px;
    height: 89px;
    position: absolute;
    left: 3px;
}

#WelcomeDialogProgressBar {
display: none;
background-image: url(assets/bannerStaticBar.png);	
    width: 411px;
    height: 5px;
    position: absolute;
    left: 3px;
    top: 89px;
}

#AbtDialogBanner {
	display: none;
background-image: url(assets/rimetmIIbanner.png);	
    width: 411px;
    height: 89px;
    position: absolute;
    left: 3px;
}

#AbtDialogProgressBar {
	display: none;
background-image: url(assets/bannerStaticBar.png);	
    width: 411px;
    height: 5px;
    position: absolute;
    left: 3px;
    top: 89px;
}

.PowerOffBanner {
	display: block !important;
background-image: url(assets/rimetmIIbanneralt.png) !important;	
    height: 72px !important;
}

.PowerOffBar {
		display: block !important;
    height: 5px !important;
	top: 72px !important;
}

.SmallBanner, .PwrDlgBanner {
background-image: url(assets/rimetmIIbanneralt.png) !important;	
    height: 72px !important;
}

.SmallBar, .PwrDlgBar {
    height: 5px !important;
	top: 72px !important;
}

.AnimatedProgressBar {
	background-image: url(assets/w2kstartupline.gif) !important;
}

.WindowMultiPageContent {
	width: calc(100% - 8px);
	height: calc(100% - 26px);
	background-color: var(--appworkspace);
	margin-left: 4px;
		position: absolute;
}

.SysListRimet {
	width: calc(100% - 8px);
	height: calc(100% - 26px);
	background-color: var(--Window);
	margin-left: 4px;
		position: absolute;
		box-shadow: var(--field);
}

/* Explorer/progman icos */
.AppIcons {
width: fit-content;	
margin-top: 5px;
}
.AppIcoText {
    font-family: var(--globalfont);
    color: black;
    font-size: 8pt;
    margin-bottom: -5px;
    text-align: center;
    width: 64px;
    display: block;
    margin-top: 4px;
    padding: 0px 2px 2px 2px;
}


.AppIcons.current > .AppIcoText {
    background-color: var(--selectedcolor);
	color: white;
}

.AppIcoImgs {
	margin-left: 16px;
    width: 32px;
    height: 32px;
    background-image: var(--DefaultAppIcon);
}

#cancelHelpbtn {
position: absolute;
line-height: 22px;
bottom: -30px;
right: 0px;
}

#openHelpbtn {
position: absolute;
line-height: 22px;
bottom: -30px;
right: 81px;
}

.window.maximized #windowcontent .WindowMultiPageContent, .window.maximized #windowcontent .SysListRimet {
    width: 100%;
    height: 100%;
    margin: 0;
}

.MenuToolbars {
    margin-left: 4px;
    margin-right: 4px;
}
.MenuBar {
    height: 19px;
	/* background-color: var(--Menu); */
}

.MenuItem {
    display: inline-block;
    padding-left: 6px;
    padding-right: 6px;
    height: 18px;
    line-height: 18px;
    margin-left: -3px;
}

.MenuItem.M1st {
        margin-left: -1px;
}

.MenuItem:hover {
box-shadow: var(--globaltoolbar);
}

.MenuItem:active, .MenuItem.pressed {
box-shadow: var(--globaltoolbaractive);
    padding-left: 7px;
    padding-right: 5px;
}

.MenuItem.disabled, .startLink.disabled {
    color: var(--ButtonShadow);
    text-shadow: 1px 1px var(--ButtonHilight);
}

.menubarbtn {
        display: inline-block;
    left: unset !important;
        bottom: unset !important;
            top: unset !important;
    margin-left: -3px;
    margin-top: 5px;
        margin-bottom: 1px;
}

.menubarbtn.M1st {
       margin-left: 6px; 
}

.Toolbars {
    box-shadow:inset 0px 1px var(--ButtonShadow), inset 0px 2px var(--ButtonHilight);
}

.ToolbarSeparatorInvis {
            display: inline-block;
    margin: 2.5px;
}

.StartMenuSIcon {
    width: 16px;
height: 16px;
position: relative;
left: 2px;
bottom: 18px;
background-image: url(assets/rimetmII16x16.png);
}

.StartMenuArrows {
            font-weight: normal;
    font-family: MarlettR, Marlett;
    font-size: 10px;
    color: var(--3d-objectstxt);
    text-shadow: none;
position: absolute;
    right: 4px;
    margin-top: -11px;
} 

.startLink:hover .StartMenuArrows {
    color: var(--HilightText);
}

/* MoveIt! background animations (animation: moveIt 35s linear infinite;) */
@keyframes moveIt {
  from {background-position: right;}
  to {background-position: left;}
}

#Marquee {
background-color:black;
color: #FF00FF;
height: 100%;
font-family: System-Bold;
font-size: 10pt;
position: absolute;
top: 0;
left: 0;
width: 100%;
z-index: 5;
}

#MarqueeText {
    top: 55%;
    margin-top: -40px;
	position: absolute;
	width: 100%;
}

#RimetAbtName {
left: 82px;
top: 20px;
}

#RimetAbtReleaseName {
left: 82px;
top: 35px;
}

#AbtCopyright {
    left: 82px;
        top: 51px;
}

#AbtLicensedName {
    left: 82px;
        bottom: 131px;
}

#AbtHR {
    right: 17px;
    bottom: 94px;
    width: 265px;
}

#AbtLicensed {
        left: 82px;
    bottom: 147px;
}

#AbtMemoryCount {
        left: 82px;
    bottom: 77px;
}

.ShortcutDeskIcoImg {
    width: 32px;
    height: 32px;
}

.LogoffPaneLink {
    float: right;
    color: white;
    position: relative;
    right: 12px;
    margin-left: 7px;
    top: 4px;
    text-indent: 32px;
    line-height: 32px;
}

#LogoffPane .StartMenuMIcon {
    width: 32px;
    height: 32px;
    position: absolute;
    top: 0;
}

/* quick launch */
.TaskbarFolderToolbar {
 height: 22px;
    position: absolute;
    bottom: 0;
        z-index: 1;
    bottom: 2px;
}

#QuickLaunchToolbar {
    left: 62px;
    width: 70px;
        margin-left: 5px;
}

.QLToolbarBtns {
    width: 23px;
    height: 22px;
    display: inline-flex;
    margin-left: -4px;
    position: relative;
}

.ToolbarIcoImg {
width: 16px;
height: 16px;
position: relative;
left: 3px;
margin-left: 0px;
top: 14.5%;
background-image: url(assets/rimetmII16x16.png);
}

.QLToolbarBtns:hover {
box-shadow: var(--globaltoolbar);
}

.QLToolbarBtns:active {
box-shadow: var(--globaltoolbaractive);
}

.InsiderFeature {
	display: none;
}

#helptabContent-1 {
    width: 216px;
    height: calc(100% - 30px);
}

#RHelpContent {
    margin: 10px 7px 7px 4px !important;
}

/* AUDIOPLAYER.CSS */

/* DigiShell Audio Player based from Remix Design | woaichidapi@163.com | Redesigned by JimmyCheung */

.audioplayer {
    display: flex;
    flex-direction: row;
    margin-top: 5px;
    padding: 0 5px;
    width: calc(100% - 200px);
    height: 15px;
    align-items: center;
}

.audioplayer-playpause {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 21px;
    height: 21px;
    border-radius: 0px;
    cursor: unset;
    position: relative;
    top: 1px;
    left: 1px;
}

.audioplayer-playpause > a {
  border: none !important;
}

.audioplayer-playpause:active {
box-shadow: var(--globaltoolbaractive) !important;
}

.audioplayer:not(.audioplayer-playing) .audioplayer-playpause {
box-shadow: none;
}

.audioplayer:not(.audioplayer-playing) .audioplayer-playpause:hover {
box-shadow: var(--globaltoolbar);
}

.audioplayer-playing .audioplayer-playpause {
box-shadow: var(--globaltoolbaractive);
}

.audioplayer:not(.audioplayer-playing) .audioplayer-playpause a {
    content: '';
    justify-content: center;
    width: 0;
    height: 0;
    margin-left: 0px;
    border-top: 5px solid transparent !important;
    border-right: none;
    border-bottom: 5px solid transparent !important;
    border-left: 5px solid #000 !important;
}

.audioplayer-playing .audioplayer-playpause a {
    content: '';
    display: flex;
    justify-content: space-between;
    width: 6px;
    height: 9px;
}

.audioplayer-playing .audioplayer-playpause a::before, .audioplayer-playing .audioplayer-playpause a::after {
    content: '';
    width: 2px;
    height: 9px;
    background-color: #000;
}

.audioplayer-time {
    display: flex;
    width: 40px;
    justify-content:center;
    font-size: 11px;
    color: white;
    position: absolute;
    bottom: 15px;
    z-index: 2;
    right: 183px;
}

.audioplayer-time-current {
    margin-right: 32px;
}

.audioplayer-time-duration {
    margin-right: 0px;
}

.audioplayer-bar {
    position: relative;
    display: flex;
    margin: 0 6px;
    height: 12px;
    flex-basis: 0;
    flex-grow: 1;
    cursor: unset;
}

.audioplayer-bar::before {
    content: '';
    position: absolute;
    top: 3px;
    width: 100%;
    height: 7px;
    box-shadow: var(--globaltoolbaractive);
    
}

.audioplayer-bar > div {
    position: absolute;
    left: 0;
    top: 3px;
}
.audioplayer-bar-loaded {
    z-index: 1;
    height: 7px;
    background: #fff0;
    box-shadow: var(--globaltoolbaractive);
}

.audioplayer-bar-played {
    flex-direction: row-reverse;
    z-index: 2;
    height: 7px;
    background: #00008000;
}

.audioplayer-bar-played::after, .audioplayer-volume-adjust div div::after {
    display: flex;
    position: absolute;
    content: '';
    box-sizing: border-box;
    top: -6px;
    right: -1px;
    margin-right: -5px;
    width: 12px;
    height: 20px;
background: var(--3d-objects) !important;
    box-shadow: var(--globalboxshadow);
    border-radius: 0px;
}
.audioplayer:not(.audioplayer-playing) .audioplayer-bar-played::after {
    padding-top:6px;
    padding-bottom:6px;
}


.audioplayer-volume {
    display: flex;
    align-items: center;
}

.audioplayer-volume-button {
    display: flex;
    align-items: center;
    width: 21px;
    height: 21px;
    cursor: unset;
    position: relative;
    top: 1px;
}

.audioplayer-volume-button a {
    display: flex;
    width: 21px;
    height: 21px;
    background-image: url(assets/iconset/default/RTunesVol.png);
    position: relative;
    background-repeat: no-repeat;
    background-position: 3px 3px;
}

.audioplayer-mute .audioplayer-volume-button a {
    background-image: url(assets/iconset/default/RTunesVolMuted.png);
        background-position: 4px 4px;
}

.audioplayer-mute .audioplayer-volume-button {
    background-color: #fff0;
        box-shadow: var(--globaltoolbaractive);
}

.audioplayer-volume-adjust {
    display: flex;
    align-items: center;
    margin-left: 8px;
}

.audioplayer-volume-adjust > div {
    position: relative;
    display: flex;
    width: 60px;
    height: 7px;
    cursor: unset;
    box-shadow: var(--globaltoolbaractive);
}

.audioplayer-volume-adjust div div {
    position: absolute;
    top: 1px;
    left: 1px;
    height: 4px;
    background-color: var(--selectedcolor);
}

/* end audioplayer */

/* Explorer */
.SysList {
        box-shadow: var(--field);
    background: var(--windowbg);
        overflow-x: hidden;
                font-family: var(--globalfont);
    font-size: 8pt;
        box-sizing: border-box;
    position: relative;
    overflow: auto;
    display: flex;
    flex: 1;
    flex-wrap: wrap;
    outline: 0;
    align-content: flex-start;
}


#ExplorerContents {
    width: calc(100% - 7px);
    height: calc(100% - 26px);
    margin-left: 3px;
    padding: 6px;
    padding-left: 2px;
}

.SysListIcon {
width: fit-content;	
    height: fit-content;
    margin-bottom: 8px;
}

.ListIconText {
    font-family: var(--globalfont);
    color: black;
    font-size: 8pt;
    margin-bottom: -5px;
    text-align: center;
    width: 64px;
    display: block;
    margin-top: 4px;
    padding: 0px 2px 2px 2px;
}

.ListIconImage {
        margin: 0 auto;
    width: 32px;
    height: 32px;
    background-image: var(--DefaultFileIcon);
}

.SysListIcon {
width: 64px;	
    height: fit-content;
    margin-bottom: 8px;
}

.ListIconTexOLDDDDD {
    font-family: var(--globalfont);
    color: black;
    font-size: 8pt;
    margin-bottom: -5px;
    text-align: center;
    width: 64px;
    display: block;
    margin-top: 4px;
    padding: 0px 2px 2px 2px;
}

.ListIconText {
    font-family: var(--globalfont);
    color: #000;
    font-size: 8pt;
    margin-bottom: -5px;
    text-align: center;
    max-width: min-content;
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 4px;
    padding: 1px 2px 2px 3px;
}

.SysListIcon.current > .ListIconText {
    background-color: var(--selectedcolor);
    color: white;
   outline: 1px dotted white;
    outline-offset: -1px;
}

#ExplorerContents.SysList.S16Ico  {
    padding-top: 2px;
}
.SysList.S16Ico > .SysListIcon > .ListIconImage {
	margin-left: unset;
    width: 16px;
    height: 16px;
    background-image: var(--DefaultFileIcon);
}
.SysList.S16Ico > .SysListIcon > .ListIconText {
    font-family: var(--globalfont);
    color: black;
    font-size: 8pt;
    margin-bottom: unset;
    text-align: unset;
    width: 90px !important;
    display: block;
    margin-top: -15px;
    padding-left: 18px;
}
